
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef MTI_ERROR_H
#define MTI_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_MTI    (1011)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_MTI_NEGATIVE_NB_SAMPLES  H2_ENCODE_ERR(M_MTI       , 1)
#define S_MTI_NOT_CONNECTED        H2_ENCODE_ERR(M_MTI       , 2)
#define S_MTI_CANNOT_WRITE_FILE    H2_ENCODE_ERR(M_MTI       , 3)
#define S_MTI_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_MTI       , 4)


/* std errors */
#define S_MTI_stdGenoM_ACTIVITY_INTERRUPTED       66315265   /* 1011<<16 | 0x8000 | 100<<8 | 1 */
#define S_MTI_stdGenoM_TOO_MANY_ACTIVITIES        66315266   /* 1011<<16 | 0x8000 | 100<<8 | 2 */
#define S_MTI_stdGenoM_ACTIVITY_FAILED            66315267   /* 1011<<16 | 0x8000 | 100<<8 | 3 */
#define S_MTI_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 66315268   /* 1011<<16 | 0x8000 | 100<<8 | 4 */
#define S_MTI_stdGenoM_UNKNOWN_ACTIVITY           66315269   /* 1011<<16 | 0x8000 | 100<<8 | 5 */
#define S_MTI_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 66315270   /* 1011<<16 | 0x8000 | 100<<8 | 6 */
#define S_MTI_stdGenoM_SYSTEM_ERROR               66315271   /* 1011<<16 | 0x8000 | 100<<8 | 7 */
#define S_MTI_stdGenoM_ACTIVITY_ALREADY_ENDED     66315272   /* 1011<<16 | 0x8000 | 100<<8 | 8 */
#define S_MTI_stdGenoM_WAIT_INIT_RQST             66315273   /* 1011<<16 | 0x8000 | 100<<8 | 9 */
#define S_MTI_stdGenoM_CONTROL_CODEL_ERROR        66315274   /* 1011<<16 | 0x8000 | 100<<8 | 10 */
#define S_MTI_stdGenoM_EXEC_TASK_SUSPENDED        66315275   /* 1011<<16 | 0x8000 | 100<<8 | 11 */
#define S_MTI_stdGenoM_BAD_BLOCK_TYPE             66315276   /* 1011<<16 | 0x8000 | 100<<8 | 12 */
#define S_MTI_stdGenoM_BAD_POSTER_TYPE            66315277   /* 1011<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define MTI_H2_ERR_MSGS {\
    {"NEGATIVE_NB_SAMPLES", 1},\
    {"NOT_CONNECTED", 2},\
    {"CANNOT_WRITE_FILE", 3},\
    {"CANNOT_OPEN_FILE", 4},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int MTIRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
