
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MTI_POSTER_LIB_H
#define MTI_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "MTIType.h"
#include "MTIError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[MTI_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} MTI_CNTRL_STR;

/* For consistency with other posters */
typedef MTI_CNTRL_STR MTI_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "MTIPosterLibStruct.h"



/* Posters */
#define MTI_CNTRL_POSTER_NAME genomInstanceSuffixName("MTI", "Cntrl")
#define MTI_MTI_INFO_POSTER_NAME genomInstanceSuffixName("MTI", "MTI_INFO")
#define MTI_SEPOS_POSTER_NAME genomInstanceSuffixName("MTI", "SEPos")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS MTIPosterInit ( void );
extern POSTER_ID MTICntrlPosterID ();
extern STATUS MTICntrlPosterRead ( MTI_CNTRL_STR *MTICntrlStrId );
extern STATUS MTICntrlPosterInit ( void );
extern STATUS MTICntrlInstancePosterRead(const char *name, MTI_CNTRL_STR *MTICntrlStrId);
extern STATUS MTIMTI_INFOPosterInit ( void );
extern POSTER_ID MTIMTI_INFOPosterID ( void );
extern STATUS MTIMTI_INFOPosterRead ( MTI_MTI_INFO_POSTER_STR *x );
extern STATUS MTIMTI_INFOInstancePosterRead ( const char *, MTI_MTI_INFO_POSTER_STR * );
extern STATUS MTIMTI_INFOsensorDataPosterRead ( INERTIAL_DATA *sensorData );
extern STATUS MTIMTI_INFOsensorDataInstancePosterRead( const char *, INERTIAL_DATA * );
extern STATUS MTISEPosPosterInit ( void );
extern POSTER_ID MTISEPosPosterID ( void );
extern STATUS MTISEPosPosterRead ( MTI_SEPOS_POSTER_STR *x );
extern STATUS MTISEPosInstancePosterRead ( const char *, MTI_SEPOS_POSTER_STR * );
extern STATUS MTISEPosposPosterRead ( POM_SENSOR_POS *pos );
extern STATUS MTISEPosposInstancePosterRead( const char *, POM_SENSOR_POS * );
#ifdef __cplusplus
}
#endif
#endif

