
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MTI_TCLSERV_CLIENT_MSG_LIB_H
#define MTI_TCLSERV_CLIENT_MSG_LIB_H

#include <server/MTIType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int MTITclservClientInit (TCLSERV_CLIENT_ID pClientId);

int MTITclservClientEnd (TCLSERV_CLIENT_ID clientId);



int MTITclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 INERTIAL_DEVICE *(in_device) 
		);

int MTITclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				INERTIAL_DEVICE *(in_device) ,
				
				int *bilan);

int MTITclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					INERTIAL_DEVICE *(in_device) ,
					
					int *bilan);




int MTITclservClientConfigRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 INERTIAL_CONFIG *(in_config) 
		);

int MTITclservClientConfigReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientConfigRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				INERTIAL_CONFIG *(in_config) ,
				
				int *bilan);

int MTITclservClientConfigRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					INERTIAL_CONFIG *(in_config) ,
					
					int *bilan);




int MTITclservClientResetRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int MTITclservClientResetReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientResetRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int MTITclservClientResetRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int MTITclservClientLogRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_fileName) 
		);

int MTITclservClientLogReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientLogRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_fileName) ,
				
				int *bilan);

int MTITclservClientLogRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_fileName) ,
					
					int *bilan);




int MTITclservClientStopLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int MTITclservClientStopLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int MTITclservClientStopLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int MTITclservClientGetConfigurationRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int MTITclservClientGetConfigurationReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       INERTIAL_CONFIG *(out_config),
			       int *bilan);

int MTITclservClientGetConfigurationRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 INERTIAL_CONFIG *(out_config),
				 int *bilan);




int MTITclservClientAverageSamplesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 AVERAGING_PARAMETERS *(in_averagingParameters) 
		);

int MTITclservClientAverageSamplesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientAverageSamplesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				AVERAGING_PARAMETERS *(in_averagingParameters) ,
				
				int *bilan);

int MTITclservClientAverageSamplesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					AVERAGING_PARAMETERS *(in_averagingParameters) ,
					
					int *bilan);




int MTITclservClientSetBiasesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 MTI_BIASES *(in_biases) 
		);

int MTITclservClientSetBiasesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MTITclservClientSetBiasesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				MTI_BIASES *(in_biases) ,
				
				int *bilan);

int MTITclservClientSetBiasesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					MTI_BIASES *(in_biases) ,
					
					int *bilan);




int MTITclservClientGetBiasesRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int MTITclservClientGetBiasesReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       MTI_BIASES *(out_biases),
			       int *bilan);

int MTITclservClientGetBiasesRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 MTI_BIASES *(out_biases),
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* MTITCLSERV_CLIENT_MSG_LIB_H */

